> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Get details of a single fulfillment

GET https://api.feedamp.feedonomics.com/api/v2/orders/{order-id}/fulfillments/{fulfillment-id}

Get the information for the specified fulfillment in the specified order

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-api-v2/fulfillments/get-fulfillment

## Authentication

- `token` header (required) — The Authentication token obtained from the get_token route.
- `x-api-key` header (required) — The SSO token obtained from the Feedonomics platform SSO token route.

## Request

### Path parameters

- `order-id` (string, required) — FeedAMP Order ID
- `fulfillment-id` (string, required) — FeedAMP Fulfillment ID

### Headers

- `client` (integer, required) — The ID of the client making the request

## Response

### 200

Fulfillment details

- `id` (string, required) — Unique identifier for a record
- `fulfillment_lines` (list of LineQuantity, required) — Specification of order lines and quantities contained in the shipment

## Errors

### 401 Unauthorized Error

Error validating credentials or access to resources.

- `error` (string, required)

### 404 Not Found Error

Requested order or fulfillment does not exist

- `any`

### 500 Internal Server Error

An unexpected server error occurred. Please contact Feedonomics Support if error persists.

- `error` (string, required)

### 503 Service Unavailable Error

Server is temporarily unable to handle the request

- `error` (string, required)

## Types

### LineQuantity

Specification of an order line number and quantity for that line

- `line_id` (string, required) — Unique identifier for a record
- `quantity` (integer, required)

## Examples

**Response**

```json
{
  "id": "109872189273617283",
  "fulfillment_lines": [
    {
      "line_id": "109872189273617283",
      "quantity": 1
    }
  ],
  "fulfillment_type": "shipment",
  "shipment": {
    "carrier": " '4PX', 'A-1', 'AAA Cooper', 'ABF', 'Asendia', 'Best Buy', 'Blue Package', 'Canada Post', 'CEVA', 'China Post', 'Conway', 'DHL', 'DHL eCommerce', 'Estes', 'FedEx', 'Fedex Freight', 'FedEx SmartPost', 'First Mile', 'Hongkong Post', 'Hunter Logistics', 'India Post', 'JCEX', 'Lasership', 'Newgistics', 'Old Dominion', 'OnTrac', 'OSM', 'Pilot Freight', 'R+L', 'Roadrunner', 'Royal Mail', 'Saia', 'SF Express', 'SFC', 'Singapore Post', 'South Eastern Freight Lines', 'Streamlite', 'UPS', 'UPS Freight', 'UPS Mail Innovations', 'Urban Express', 'USPS', 'WanbExpress', 'Watkins and Shepard', 'YANWEN', 'Yellow Freight', 'Yun Express', 'Other'",
    "shipped_date": {},
    "tracking_number": "string",
    "tracking_url": "string"
  },
  "state": "shipped"
}
```

**SDK Code**

```python
import requests

url = "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments/109872189273617283"

headers = {
    "client": "1",
    "token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments/109872189273617283';
const options = {method: 'GET', headers: {client: '1', token: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments/109872189273617283"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client", "1")
	req.Header.Add("token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments/109872189273617283")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client"] = '1'
request["token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments/109872189273617283")
  .header("client", "1")
  .header("token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments/109872189273617283', [
  'headers' => [
    'client' => '1',
    'token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments/109872189273617283");
var request = new RestRequest(Method.GET);
request.AddHeader("client", "1");
request.AddHeader("token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client": "1",
  "token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments/109872189273617283")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```